Bug 1299293 - Shutter does not work with Gnome/ Wayland
Summary: Shutter does not work with Gnome/ Wayland
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: shutter
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-01-18 00:35 UTC by Steven Stern
Modified: 2018-05-27 19:31 UTC (History)
25 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-27 17:59:53 UTC


Attachments (Terms of Use)

Description Steven Stern 2016-01-18 00:35:25 UTC
Description of problem:

Shutter cannot make screen captures with Gnome/Wayland

Version-Release number of selected component (if applicable):

shutter-0.93.1-1.fc23.noarch
libwayland-client-1.9.0-1.fc23.x86_64
libwayland-server-1.9.0-1.fc23.i686
libwayland-client-1.9.0-1.fc23.i686
ibus-wayland-1.5.11-1.fc23.x86_64
xorg-x11-server-Xwayland-1.18.0-2.fc23.x86_64
libwayland-server-1.9.0-1.fc23.x86_64
mesa-libwayland-egl-11.1.0-2.20151218.fc23.x86_64
libwayland-cursor-1.9.0-1.fc23.x86_64
gnome-session-wayland-session-3.18.1.2-2.fc23.x86_64



How reproducible:
always

Steps to Reproduce:
login with Gnome/Wayland. Start Shutter. Select Capture selection. Screen goes black.  Capture is just a black rectangle.

Actual results:


Expected results:


Additional info:

Comment 1 Steven Stern 2016-01-18 00:41:08 UTC
Hardware info:

http://paste.fedoraproject.org/311841/45307763

Comment 2 Olivier Fourdan 2016-03-09 07:46:40 UTC
By design, Wayland is a lot more secure than X11 and does not allow one application to capture the content of other applications' windows.

Both Weston and gnome-shell (Wayland compositors) have screencast and screenshot features built-in.

Comment 3 Steven Stern 2016-03-09 14:56:13 UTC
gnome-screenshot is quite feature poor and not a substitute for shutter.

Comment 4 Konstantin Ryabitsev 2016-04-15 14:39:43 UTC
You can still use shutter. You just have to take a full-window screenshot using Alt-PrtScr, and then edit it with shutter.

Comment 5 Ralf Oltmanns 2016-06-26 13:09:50 UTC
Wayland appears to break every screenshot application except gnome-screenshot.

The purpose of a "screenshot" is, well, making a snapshot of the (complete) screen. Sometimes you really want the whole display, even several monitors.
But even snapshots of selected windows do not work in shutter or gimp.
Alt-PrtScr is not capturing the mouse pointer which sometimes is crutial if you would like to demonstrate a specific problem.

Comment 6 olegon.ru 2016-11-22 17:28:44 UTC
Very bad idea to force Wayland without ability control it's security limits... Gnome-shell instruments is very unusable in competitions with shutter :(

Comment 7 Olivier Fourdan 2016-11-22 17:46:00 UTC
Note, gnome-screenshot can optionally capture the pointer.

Moving to shutter, it needs to be ported to Wayland and use the same dbus protocols gnome-screenshot uses.

Comment 8 Juan Antonio Martinez 2016-11-23 10:16:22 UTC
Gimp fails on screen capture. in fact only allows capture their inner window.. and fails (black capture).
I use OBS-Studio and Capture windows features to stream. also fails

In general, any program that needs screen/window/region capture fails under wayland

Switch back to X :-(

Comment 9 Fedora End Of Life 2016-11-24 15:00:53 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Justin Garrison 2016-11-26 06:42:10 UTC
This bug affects fedora 25 as noted from the version change.

Comment 11 Thomas Mueller 2016-12-03 09:27:33 UTC
Upstream bug: https://bugs.launchpad.net/shutter/+bug/1502263

Comment 12 David Dreggors 2016-12-06 14:57:13 UTC
I agree that gnome-screenshot is quite feature poor in comparison. It is no substitute for shutter.

I often need to capture only a section of a screen, not even an entire window but rather a section of it. Why would any user want to have to downgrade to opening multiple apps to do what shutter already does all by itself?

Shutter: 
  1. Use selection tool to capture part of a window. Done!
Gnome-screenshot: 
  1. Capture entire screen
  2. Open gimp and select section to export.


In my mind this is a regression of features and capabilities.

Comment 13 Thomas Mueller 2016-12-06 15:13:20 UTC
(In reply to David Dreggors from comment #12)

> 
> Shutter: 
>   1. Use selection tool to capture part of a window. Done!
> Gnome-screenshot: 
>   1. Capture entire screen
>   2. Open gimp and select section to export.

I have the option to select a rectangle like with shutter on Fedora 25. Don't ask me which command it is on the shell... I'll just hit the (omg) windows button, type "screenshot" and select the app "Bildschirmfoto" ( german ).

Comment 14 Olivier Fourdan 2016-12-06 16:42:32 UTC
$ gnome-screenshot  -i

Comment 15 David Dreggors 2016-12-07 07:44:34 UTC
Actually I am seeing for the first time the gnome shortcuts as well:

PrtSc = Capture screen
Alt+PrtSc = Capture Active App/Window
Shift+PrtSc = Capture Area

As mentioned above there are flags on command line as well. 

Here are a few (not all) for gnome-screenshot:

       -c, --clipboard
              Send the grab directly to the clipboard.

       -w, --window
              Grab the current active window instead of the entire screen.

       -a, --area
              Grab an area of the screen instead of the entire screen.

       -i, --interactive
              Interactively set options in a dialog.

       -f, --file=FILENAME
              Save screenshot directly to this file.


So I will concede that my earlier remark was not accurate. Once again Gnome provides even if we do not know it. :-)

Comment 16 Andre Dietisheim 2017-09-18 10:18:03 UTC
I can confirm this bug with shutter-0.93.1-8.fc26 in FC26. Instead of the (real) screen content shutter will caputer/use a weird bitmap that shows a pattern of shutter icons.

Comment 17 robert 2017-10-16 05:53:01 UTC
Shutter also allows you to format the file names and path where they are stored and even let's you automatically upload or put in your clipboard as well. I am using gnome-screenshot on Fedora 26 right now. I frequently share files in Skype and gnome-screenshot clutters up my Pictures folder and doesn't copy to clipboard so you have to 1) look for it in that cluttered Pictures folder and 2) drag and drop into Skype. Gnome-screenshot cannot be a substitute for shutter, it's less productive.

Comment 18 Fedora End Of Life 2017-11-16 18:50:21 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Jeffrey Cutter 2017-11-16 18:55:33 UTC
It's still broken in Fedora 26 and Gnome Screenshot is a sorry alternative.

Comment 20 David Dreggors 2017-11-17 14:25:33 UTC
It is still broken in Fedora 27.

Comment 21 David Dreggors 2017-11-17 14:25:53 UTC
It is still broken in Fedora 27.

Comment 22 Joseph D. Wagner 2017-11-25 08:08:17 UTC
It's still broken. If this isn't going to be maintained & updated, it should be removed from the repository.

Comment 23 Bill Taroli 2017-12-13 19:26:03 UTC
FWIW, I'll add my +1 on this as well. gnome-screenshot is pretty crude. Before Shutter, I'd tried using Gimp and Libreoffice Draw for editing. These can be made to work, but they're not really meant for this and thus are annoying for this case. Shutter is awesome for screencap editing, and /was/ awesome for captures.

Unfortunately, I'm noticing in F27 that it's crashing a lot, usually at startup. It saddens me, frankly, that we have an awesome tool that falters due to neglect, when there really isn't as good an alternative. If there is one and Shutter shall go away, then please let us know what this new alternative is. Existing options don't measure up.

Comment 24 Laurent DUPIRE 2017-12-16 02:54:15 UTC
+1 for me
Linux 4.14.4-200.fc26.x86_64
Gnome Version 3.24.2
still display strange bitmap with part of Shutter icon for any kind of screenshoot.

Comment 25 Manilal 2018-01-31 06:58:17 UTC
+1
shutter-0.93.1-8.fc27.noarch
libwayland-server-1.14.0-2.fc27.x86_64
gnome-shell-3.26.2-4.fc27.x86_64
kernel-4.14.14-300.fc27.x86_64
Fedora 27

Comment 26 Geoffrey De Smet 2018-02-16 10:13:30 UTC
Shutter still doesn't work on Fedora 27. Regression from Fedora 23. Gnome-screenshot isn't a worthy alternative.

Comment 27 egor 2018-03-15 00:08:12 UTC
It's quite easy to script gnome-screenshot in Wayland to allow selectable screen grabs with file-renaming and auto-dating.

Here's how I did it in Fedora 27:

https://unix.stackexchange.com/a/430243/280718

But yes, until I figured this, I was hesitating to upgrade to Wayland too.

Comment 28 Jeffrey Cutter 2018-03-15 13:21:52 UTC
While not as full featured as Shutter, this Gnome extension is at least very easy to use repeatedly which is more than the Gnome Screenshot interface can say.

https://extensions.gnome.org/extension/1112/screenshot-tool/

Comment 29 Pablo Estigarribia 2018-04-22 12:36:39 UTC
I have just found this on fedorarepos: https://github.com/lupoDharkael/flameshot 

And works on wayland...

Comment 30 Fedora End Of Life 2018-05-03 08:18:10 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 31 Steven Stern 2018-05-27 17:59:53 UTC
I'd like to suggest that this bug be closed as a WONTFIX and traffic redirected to https://github.com/lupoDharkael/flameshot

Comment 32 Hans Deragon 2018-05-27 19:31:55 UTC
Flameshot is not an alternative; you cannot edit existing images with it and arrows and annotations, which you can do with Shutter.  Its only useful for screenshots.


Note You need to log in before you can comment on or make changes to this bug.